document.getElementById('add-used-commands').addEventListener('click', () => {
    const commands = [];
    for (let i = 1; i <= 8; i++) {
        const input = document.getElementById(`my-server-${i}-command`);
        const value = input.value.trim();
        if (value) commands.push(value);
    }

    if (commands.length === 0) {
        logMessage('ИНФО', 'Нечего добавлять.');
        return;
    }

    const textToCopy = commands.join('\n');

    const copyToClipboard = async (text) => {
        try {
            await navigator.clipboard.writeText(text);
            return true;
        } catch (err) {
            const textarea = document.createElement('textarea');
            textarea.value = text;
            document.body.appendChild(textarea);
            textarea.select();
            document.execCommand('copy');
            document.body.removeChild(textarea);
            return true;
        }
    };

    const targetDiv = document.getElementById('generated-commands');
    if (targetDiv) {
        targetDiv.textContent += (targetDiv.textContent ? '\n' : '') + textToCopy;
        logMessage('ИНФО', 'Успешно добавили используемые.');
    } else {
        logMessage('ОШИБКА', 'Элемент для вставки команд не найден.');
    }
});