function shouldDisplayBlock(block, selectedRange) {
    const percentage = parseInt(block.getAttribute('data-percentage'), 10);
    switch (selectedRange) {
        case 'all':
            return true;
        case 'hide':
            return false;
        case '0-9':
            return percentage >= 0 && percentage <= 9;
        case '10-19':
            return percentage >= 10 && percentage <= 19;
        case '20-29':
            return percentage >= 20 && percentage <= 29;
        case '30-39':
            return percentage >= 30 && percentage <= 39;
        case '40-49':
            return percentage >= 40 && percentage <= 49;
        case '50-59':
            return percentage >= 50 && percentage <= 59;
        case '60-69':
            return percentage >= 60 && percentage <= 69;
        case '70-79':
            return percentage >= 70 && percentage <= 79;
        case '80-89':
            return percentage >= 80 && percentage <= 89;
        case '90-99':
            return percentage >= 90 && percentage <= 99;
        case '100':
            return percentage === 100;
        default:
            return false;
    }
}

function filterResults() {
    const select = document.getElementById('select-result');
    const selectedRange = select.value;
    const blocks = document.querySelectorAll('.result-block');
    blocks.forEach(block => {
        const shouldDisplay = shouldDisplayBlock(block, selectedRange);
        block.style.display = shouldDisplay ? 'block' : 'none';
    });
}

document.getElementById('select-result')?.addEventListener('change', filterResults);